Ubuntu

View->Show MenuBar isn't working in 11.04 and later in gnome-terminal

Reported by Alex Solanos on 2011-05-24
662
This bug affects 177 people
Affects Status Importance Assigned to Milestone
appmenu-gtk (Ubuntu)
Medium
Ted Gould
gnome-terminal (Ubuntu)
Undecided
Unassigned

Bug Description

If you click on the global menus the View->Show MenuBar and (un)check it, it won't work, the menu will stay at the 'global menus panel' or whatever it is. In my opinion this option shouldn't exist now, considering that global menus are the future, and also considering that a global menu has the advantage not to keep its own space on the screen :)

(Compare bug 912679, the equivalent problem in XChat.)

Alex Solanos (hakermania) wrote :

Forgot to mention
Linux MaD-pc 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011 i686 i686 i386 GNU/Linux

Robert Roth (evfool) on 2011-05-24
Changed in gnome-terminal (Ubuntu):
status: New → Confirmed

>In my opinion this option shouldn't exist now, considering that global menus are the future

That's a debatable opinion but you are absolutely right that this item shouldn't exist if a global menu is detected
https://wiki.ubuntu.com/MenuBar#detecting
See the first comment at #705367

Jeremy Bicha (jbicha) on 2011-09-18
Changed in gnome-terminal (Ubuntu):
importance: Undecided → Low
status: Confirmed → Triaged
muenalan (murat-uenalan) wrote :

Please note apport reported Bug #835331 (reported duplicate).

y.zhao (y.zhao) wrote :

But the gnome-shell does not have any global menu yet.

Martin-Éric Racine (q-funk) wrote :

This bug has nothing to do with gnome-shell.

bgruber (bsg4+ubuntu052006) wrote :

most (all?) of the bugs labeled as duplicates of this one are reporting a related issue, but not exactly the same one. This bug seems to be that the "show menu bar" options makes no sense in an environment such as unity and so should be hidden. The duplicates are about environments such as gnome-shell where there is no global menu bar. In that case the "show menu bar" option is broken, which I would think is significantly more annoying but probably affects fewer users (though I count myself among their ranks). I leave it to the maintainers to decide if these are really the same bug.

Jeremy Bicha (jbicha) on 2011-10-11
summary: - View->Show MenuBar isn't working in 11.04
+ View->Show MenuBar isn't working in 11.04 and later

Here, the option works under GNOME 3, but not under the fallback GNOME 2 session.
Could this be related to the gconf->dconf migration?

Juha Siltala (topyli) wrote :

I agree with bgruber (#6), this bug is not the same as most of the duplicates. I certainly tried to report a different issue in #856411. This is a UI or usability bug, the rest are about a regression.

Martin-Éric (#7), the option itself works, until you try to set the terminal to start with the menubar hidden by default in in Shell.

Martin-Éric Racine (q-funk) wrote :

Juha, that's precisely what I meant: starting with the menubar hidden works in GNOME3, but not in GNOME2.

For me it works after purging everything related to "appmenu" and "application indicators".

Martin-Éric Racine (q-funk) wrote :

Confirmed. Purging all the Application Indicators and Appmenu components solved it for me too. Thanks, Thorsten!

Should gnome-terminal be rebuild with "Breaks: appindicator, appmenu" and pushed into updates? As I understand, the improved panel that was released with GNOME 3.2 and that ships with Oneiric essentially implements the same ideas in a different way.

Martin-Éric Racine (q-funk) wrote :

PS: a simple way to remove all the indicators:

sudo dpkg -P $( dpkg -l | grep indicator- | awk {'print $2'} | grep -v lib )

sudo apt-get --purge autoremove

Matthew Gregg (mcg) wrote :

#835331 is clearly not a dupe of this bug and is actually the issue I am seeing and does not work in Gnome3.2. gnome-terminal does not currently respect the 'Show/hide menubar by default' preference.

Jeremy Bicha (jbicha) wrote :

q-funk, no, we're definitely not going to have Ubuntu's default terminal be uninstallable with Ubuntu's indicators, nor are we going to make it uninstallable with the global menu.

You don't have to uninstall all the indicators to work around this bug; just the appmenu.

Martin Pitt (pitti) wrote :

Adding a Breaks: to indicator-applet sounds fine, though; we removed it from oneiric, and it's obsolete, so upgrades ought to clean it, too.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in indicator-applet (Ubuntu):
status: New → Confirmed
glennric (glennric) wrote :

I uninstalled the appmenu because I use the fallback session and noticed that the appmenu was still there hidden under the gnome-panel. I also noticed that if the appmenu is installed the gnome-terminal does not respect the "Show Menubar" option that I usually have disabled. Then I thought I would try unity, and also don't want the global menu there. The odd thing is that the gnome-terminal does not respect the "Show Menubar" option when the appmenu is uninstalled in the "ubuntu" session with unity.

glennric (glennric) wrote :

Nevermind, I had set the exported the variable UBUNTU_MENUPROXY=0 trying to disable the menus following something I had found online. It turns out that was wrong. If you want to disable the global menus you need to unset that variable completely. It is odd that if the appmenu is unistalled and that variable is set to zero that it forces the gnome-terminal menu to show when it is started.

Didier Roche (didrocks) on 2011-10-21
affects: gnome-terminal (Ubuntu) → appmenu-gtk (Ubuntu)
Changed in appmenu-gtk (Ubuntu):
assignee: nobody → tedgagnon (tedg)
importance: Low → Medium
affects: indicator-applet (Ubuntu) → ubuntu
Changed in ubuntu:
status: Confirmed → Invalid
summary: - View->Show MenuBar isn't working in 11.04 and later
+ View->Show MenuBar isn't working in 11.04 and later in gnome-terminal
Omer Akram (om26er) on 2011-10-21
Changed in appmenu-gtk (Ubuntu):
assignee: tedgagnon (tedg) → Ted Gould (ted)
Jeremy Nickurak (nickurak) wrote :

Whether there's a global menu or not, when "show menubar" is disabled, there should not be a menubar *inside* the gnome-terminal window. Right now, when there is no global menu, AND the terminal is configured to not have a menubar, it'll have one until it's toggled twice.

You could argue that the option should not be displayed when that menubar would go to the global menu. But when it's not, it shouldn't interfere with or override gnome-terminal's logic about whether or not to display a menu.

Jeremy Nickurak (nickurak) wrote :

Upstream bug, where it was determined to be an Ubuntu issue, is here: https://bugzilla.gnome.org/show_bug.cgi?id=658760

Dave North (north) wrote :

Confirming the usefulness of the upstream bug post. The easiest workaround is to unset the UBUNTU_MENUPROXY environment variable. Should you want that state of affairs to be semi-permanent, the variable is set in two files:
/etc/X11/Xsession.d/80appmenu
/etc/X11/Xsession.d/80appmenu-gtk3
Comment out the contents of those files and gnome-terminal's menu will behave properly. We can also assume you'll need to reset the variable should you be gripped by the need to suffer Unity and the Mac menu.

Daniel Hahler (blueyed) wrote :

The workaround is to uninstall/purge appmenu-gtk and appmenu-gtk3 (if present).
This package also contains the /etc/X11/Xsession.d/80appmenu* files.

@Jeremy: when appmenu-gtk is uninstalled, gnome-terminal behaves properly (regarding the "Show menubar by default" setting), at least for me.

description: updated
affects: ubuntu → gnome-terminal (Ubuntu)
Daniel Hahler (blueyed) on 2011-10-23
description: updated
Sam_ (and-sam) wrote :

Possibly merge with Bug #728040

markb (mark-blakeney) wrote :

For gnome-shell users that want a workaround for this bug but want to preserve global menus in Unity then perhaps a better solution is to create a file /etc/X11/Xsession.d/81ubuntu-menu-proxy with the single line content:

[ "$DESKTOP_SESSION" != "ubuntu" ] && unset UBUNTU_MENUPROXY

Michael Poole (mdpoole) wrote :

Whatever resolution is chosen for this bug, please restore the ability for more Alt+key combinations to pass through to the terminal's application. It is quite frustrating to have Emacs-style Alt+F and Alt+B -- to pick the two I keep running into -- open the "File" and "Tabs" menus rather than move my cursor. (Passing those key combinations through to the application is the major reason I used the "hide menu bar" option.)

Jeffrey Finkelstein (jfinkels) wrote :

@mdpoole: there is a solution to that problem here: https://answers.launchpad.net/ubuntu/+source/gnome-terminal/+question/176160

I can confirm that markb's solution (#24 above) fixes the problem with gnome-terminal and the menu sluggishness in other programs (gedit, nautilus, etc.) when using gnome-shell.

Victor Zamanian (victorz) wrote :

mdpoole: That should probably be a separate bug.

jfinkels: ... because I think that's what it is -- a bug. Using emacs style shortcuts in bash is a must for me, but I also want to use mnemonics to access the menu. This is currently not possible because of poor choices for menu mnemonics.

If nobody will report that, I will. ;)

Dmitry Shachnev (mitya57) wrote :

My suggestion will be to add a patch to hide those options (in menus and settings window) on ubuntu and ubuntu-2d sessions.

Does anybody know a better solution?

Dan Bolser (dan-bolser) wrote :

Please don't disable this...

When using gnome terminal, I like to move around the CLI using ctrl-f/b. To do this, I need to turn off the menu, so that my keystrokes don't get interpreted as menu commands.

This is the only reason I turn off the menu.

It doesn't matter where the menu is... I want it off so I can use ctrl-f/b (and other keystrokes) to interact with the cli. Please don't break this, because gnome-terminal is one of the best.

thanks,
Dan.

Dan:
The emacs-style shortcuts you refer to are part of bash, so I don't
think removing anything in gnome-terminal would be removing that
functinality in bash, unless that was intentional, which would be very
very mean. :(

There already is an option available via gconf-editor, that has to do
with menu mnemonics. Disabling menu mnemonics in gnome-terminal
enables you to keep the menu bar and still have ALT+F and ALT+B be
passed through to the application running in the terminal.

But I definitely would want this to be a full-fledged option in
gnome-terminal's preferences. That would be sweet.

On Tue, Nov 1, 2011 at 18:52, Dan Bolser <email address hidden> wrote:
> Please don't disable this...
>
> When using gnome terminal, I like to move around the CLI using ctrl-f/b.
> To do this, I need to turn off the menu, so that my keystrokes don't get
> interpreted as menu commands.
>
> This is the only reason I turn off the menu.
>
> It doesn't matter where the menu is... I want it off so I can use
> ctrl-f/b (and other keystrokes) to interact with the cli. Please don't
> break this, because gnome-terminal is one of the best.
>
>
> thanks,
> Dan.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (873763).
> https://bugs.launchpad.net/bugs/787465
>
> Title:
>  View->Show MenuBar isn't working in 11.04 and later in gnome-terminal
>
> Status in “appmenu-gtk” package in Ubuntu:
>  Triaged
> Status in “gnome-terminal” package in Ubuntu:
>  Invalid
>
> Bug description:
>  Binary package hint: gnome-terminal
>
>  If you click on the global menus the View->Show MenuBar and (un)check
>  it, it won't work, the menu will stay at the 'global menus panel' or
>  whatever it is. In my opinion this option shouldn't exist now,
>  considering that global menus are the future, and also considering
>  that a global menu has the advantage not to keep its own space on the
>  screen  :)
>
>  WORKAROUND:
>  1. sudo apt-get purge appmenu-gtk appmenu-gtk3
>  2. Logout
>  3. Login
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/appmenu-gtk/+bug/787465/+subscriptions
>

Russell Neches (ubuntu-vort) wrote :

Ugh. I loathe global menus, but I don't want a menubar on my terminal.

Could we maybe just have a dialog box pop up when you uncheck "show menu bar" explaining that if you remove the menu, you'll have to get it back by alt-clicking, or running something in the command line, or whatever?

I think it's safe to assume that if a user wants a terminal and doesn't want a menu bar, that we can probably relax the "usability requirements" a little. This might not be the best approach for, say, Evolution, but this is the terminal. If you want to muck around in the terminal, you'd better know what you're doing anyway.

Russell

Derek White (d-man97) wrote :

Just wanted to note that using Gnome Classic (no unity plugin or global menubar app) and launching `gnome-terminal --window-with-profile=trans --hide-menubar` briefly shows the terminal without a menubar, then the window flashes, the prompt moves down to make room, and the menubar appears with another flash. This occurs whether or not the profile indicates to hide the menubar or not.

Daniel Hahler (blueyed) wrote :
Download full text (4.9 KiB)

I have still experienced this buggy using gnome-terminal and its menubar after upgrading to Ubuntu Precise.

I have fixed it now by installing any missing recommends, using "sudo apt-get install --fix-policy --install-recommends".

One or multiple of the packages this installed appears to have fixed it. And it is likely to be a package which is present when installing Oneiric from scratch (where this is a non-issue for me).

Here's the list of packages containing "menu" or "indicator" in its name:
appmenu-gtk3 0.3.0-0ubuntu1
gir1.2-dbusmenu-gtk-0.4 0.5.1-0ubuntu2
gnome-menus 3.2.0-0ubuntu2
indicator-status-provider-mc5 0.5.0-1

And here's the full list of packages this pulled in:
% awk '/2011-12-17 14:1.*status installed/ {print $5 " " $6}' /var/log/dpkg.log | sort -u
apg 2.2.3.dfsg.1-2
appmenu-gtk3 0.3.0-0ubuntu1
automake1.4 1:1.4-p6-13.1
bamfdaemon 0.2.104-0ubuntu1
c2esp 21-1
colord 0.1.15-1
cowbuilder 0.65ubuntu1
cowdancer 0.65ubuntu1
cpu-checker 0.7-0ubuntu1
cups 1.5.0-13bzr1
deja-dup 21.2-0ubuntu2
desktop-file-utils 0.18-1ubuntu3
dma-migrate 0.0.2010.06.17-11
doc-base 0.10.3
docutils-doc 0.8.1-4
duplicity 0.6.17-0ubuntu1
ebtables 2.0.9.2-2ubuntu2
enchant 1.6.0-6
erlang-syntax-tools 1:14.b.4-dfsg-1ubuntu1
firefox-locale-de 9.0~b6+build1-0ubuntu1
florence 0.5.0-2
fontconfig 2.8.0-3ubuntu2
fonts-horai-umefont 434-1
fonts-kacst 2.01+mry-3
fonts-nanum 3.010-2
gconf2 3.2.3-1ubuntu1
gir1.2-dbusmenu-gtk-0.4 0.5.1-0ubuntu2
gir1.2-gst-plugins-base-0.10 0.10.35.2-2build1
gir1.2-gstreamer-0.10 0.10.35.2-1ubuntu1
gir1.2-panelapplet-3.0 1:2.32.1-0ubuntu6.5
gir1.2-panelapplet-4.0 1:3.2.0-0ubuntu1
gir1.2-rb-3.0 2.90.1~20111126.89c872b0-0ubuntu2
gir1.2-wnck-3.0 3.2.1-1
gnome-applets 3.2.0-0ubuntu1
gnome-menus 3.2.0-0ubuntu2
gnome-online-accounts 3.2.1-2
gnome-orca 3.3.2-0ubuntu2
gnome-panel 1:3.2.0-0ubuntu1
gnome-session-fallback 3.2.1-0ubuntu4
gnome-themes-standard 3.2.1-0ubuntu2
hicolor-icon-theme 0.12-1ubuntu1
ibus-gtk3 1.4.0-1ubuntu3
icoutils 0.29.1-2
indicator-status-provider-mc5 0.5.0-1
install-info 4.13a.dfsg.1-8ubuntu1
iw 3.1-1
kompare 4:4.7.3-0ubuntu1
kubuntu-debug-installer 11.10ubuntu1
kvm-ipxe 1.0.0+git-2.149b50-1ubuntu3
libalgorithm-c3-perl 0.08-1
libcanberra-gtk3-module 0.28-0ubuntu12
libcanberra-gtk-module 0.28-0ubuntu12
libc-bin 2.13-23ubuntu1
libclass-c3-perl 0.23-1
libclass-c3-xs-perl 0.13-1build2
libclass-method-modifiers-perl 1.08-1
libclutter-1.0-common 1.8.2-2ubuntu1
libcogl-common 1.8.2-1
libcommons-codec-java 1.5-1
libdmapsharing-3.0-2 2.9.14-1
libdom4j-java 1.6.1+dfsg.2-5
libfile-rsyncp-perl 0.68-1.1build6
libfolks-eds25 0.6.5-2
libftdi1 0.19-3
libgail-gnome-module 1.20.3-1
libgd-gd2-noxpm-perl 1:2.46-2build1
libglib2.0-0 2.31.4.tested-0ubuntu3
libgphoto2-l10n 2.4.11-3.1
libgtk-3-0 3.3.4-0ubuntu2
libhtml-form-perl 6.00-1
libio-dirent-perl 0.04-2build2
libjaxme-java 0.5.2+dfsg-5
libjpeg-progs 8c-2ubuntu4
liblog4j1.2-java 1.2.16-2ubuntu2
libltdl-dev 2.4.2-1ubuntu1
libmagickcore4-extra 8:6.6.9.7-5ubuntu2
libmail-sendmail-perl 0.79.16-1
libmono-i18n4.0-cil 2.10.5-1ubuntu1
libmono-i18n-west4.0-cil 2.10.5-1ubuntu1
libmro-compat-perl 0.11-1
libmtp-runtime 1.1.1-1
libnetpbm10 2:10.0-15
libnet-snmp-perl 6.0.1-2
libpackage-stash-xs-perl 0....

Read more...

Victor Zamanian (victorz) wrote :

Installing Oneiric from scratch is what I did, yet I am experiencing this issue.

Although I did install it a day or two after its release, so it might be different now -- I don't know.

Daniel Hahler (blueyed) wrote :

Victor, what are you experiencing? This bug is so messed up already and there are quite some dupes which I and others do not consider to be dupes really.

Victor Zamanian (victorz) wrote :

Daniel:

Oh I'm sorry! I'm confusing this bug with the possibly related bug where gnome-terminal itself doesn't obey its own "show menubar" setting.

Good thing you asked me specifically. :-) Sorry for the confusion.

I'm using gnome-shell, so I'm not suffering from this behavior at all, and I don't know if I still have it either if I were to login using Unity. But I did have this behavior when I first did a fresh install of Oneiric, that much I know.

Dmitry Shachnev (mitya57) wrote :

@Dan Bolser: Gnome Terminal uses only Ctrl+Alt+* shortcuts, so Ctrl+F/B should work normally, and menu presence should not matter. If any Gnome Terminal shortcuts conflict with bash/mc/… ones, please file a separate bug.

I personally can't see why this is a bug in appmenu, it works as expected here. What *is* an issue here is presence of "Show menubar" option, which is confusing for Unity users.

I'm marking it back as affecting gnome-terminal, as we should just hide that option for Unity users (it does nothing, and it can't do anything because the menu is never shown locally).

Changed in gnome-terminal (Ubuntu):
status: Invalid → Confirmed
Changed in appmenu-gtk (Ubuntu):
status: Triaged → Invalid
description: updated
Seán C. McCord (ulexus) wrote :
Download full text (6.6 KiB)

My fix-list was much shorter:
xbase-clients
nautilus-sendto-empathy
telepathy-indicator

One installing one of those fixed the problem for me. gnome-terminal now
correctly does not display the menubar when told to do so by saved settings.

Thanks, Daniel! This issue has been driving me insane for a month.

On Sat, Dec 17, 2011 at 08:33, Daniel Hahler <email address hidden> wrote:

> I have still experienced this buggy using gnome-terminal and its menubar
> after upgrading to Ubuntu Precise.
>
> I have fixed it now by installing any missing recommends, using "sudo
> apt-get install --fix-policy --install-recommends".
>
> One or multiple of the packages this installed appears to have fixed it.
> And it is likely to be a package which is present when installing
> Oneiric from scratch (where this is a non-issue for me).
>
> Here's the list of packages containing "menu" or "indicator" in its name:
> appmenu-gtk3 0.3.0-0ubuntu1
> gir1.2-dbusmenu-gtk-0.4 0.5.1-0ubuntu2
> gnome-menus 3.2.0-0ubuntu2
> indicator-status-provider-mc5 0.5.0-1
>
> And here's the full list of packages this pulled in:
> % awk '/2011-12-17 14:1.*status installed/ {print $5 " " $6}'
> /var/log/dpkg.log | sort -u
> apg 2.2.3.dfsg.1-2
> appmenu-gtk3 0.3.0-0ubuntu1
> automake1.4 1:1.4-p6-13.1
> bamfdaemon 0.2.104-0ubuntu1
> c2esp 21-1
> colord 0.1.15-1
> cowbuilder 0.65ubuntu1
> cowdancer 0.65ubuntu1
> cpu-checker 0.7-0ubuntu1
> cups 1.5.0-13bzr1
> deja-dup 21.2-0ubuntu2
> desktop-file-utils 0.18-1ubuntu3
> dma-migrate 0.0.2010.06.17-11
> doc-base 0.10.3
> docutils-doc 0.8.1-4
> duplicity 0.6.17-0ubuntu1
> ebtables 2.0.9.2-2ubuntu2
> enchant 1.6.0-6
> erlang-syntax-tools 1:14.b.4-dfsg-1ubuntu1
> firefox-locale-de 9.0~b6+build1-0ubuntu1
> florence 0.5.0-2
> fontconfig 2.8.0-3ubuntu2
> fonts-horai-umefont 434-1
> fonts-kacst 2.01+mry-3
> fonts-nanum 3.010-2
> gconf2 3.2.3-1ubuntu1
> gir1.2-dbusmenu-gtk-0.4 0.5.1-0ubuntu2
> gir1.2-gst-plugins-base-0.10 0.10.35.2-2build1
> gir1.2-gstreamer-0.10 0.10.35.2-1ubuntu1
> gir1.2-panelapplet-3.0 1:2.32.1-0ubuntu6.5
> gir1.2-panelapplet-4.0 1:3.2.0-0ubuntu1
> gir1.2-rb-3.0 2.90.1~20111126.89c872b0-0ubuntu2
> gir1.2-wnck-3.0 3.2.1-1
> gnome-applets 3.2.0-0ubuntu1
> gnome-menus 3.2.0-0ubuntu2
> gnome-online-accounts 3.2.1-2
> gnome-orca 3.3.2-0ubuntu2
> gnome-panel 1:3.2.0-0ubuntu1
> gnome-session-fallback 3.2.1-0ubuntu4
> gnome-themes-standard 3.2.1-0ubuntu2
> hicolor-icon-theme 0.12-1ubuntu1
> ibus-gtk3 1.4.0-1ubuntu3
> icoutils 0.29.1-2
> indicator-status-provider-mc5 0.5.0-1
> install-info 4.13a.dfsg.1-8ubuntu1
> iw 3.1-1
> kompare 4:4.7.3-0ubuntu1
> kubuntu-debug-installer 11.10ubuntu1
> kvm-ipxe 1.0.0+git-2.149b50-1ubuntu3
> libalgorithm-c3-perl 0.08-1
> libcanberra-gtk3-module 0.28-0ubuntu12
> libcanberra-gtk-module 0.28-0ubuntu12
> libc-bin 2.13-23ubuntu1
> libclass-c3-perl 0.23-1
> libclass-c3-xs-perl 0.13-1build2
> libclass-method-modifiers-perl 1.08-1
> libclutter-1.0-common 1.8.2-2ubuntu1
> libcogl-common 1.8.2-1
> libcommons-codec-java 1.5-1
> libdmapsharing-3.0-2 2.9.14-1
> libdom4j-java 1.6.1+dfsg.2-5
> libfile-rsyncp-perl 0.68-1.1build6
> libfolks-eds25 0.6.5-2
> libftdi1 0.19-3
> libgail-gnome-module 1.20.3-1
> libgd-gd2-nox...

Read more...

Victor Zamanian (victorz) wrote :

Running `sudo apt-get install --fix-policy --install-recommends' does not fix gnome-terminal's behavior for me. It installed a few packages, I rebooted the computer, but gnome-terminal does not appear to adhere to its own settings after that.

description: updated
tshirtman (gabriel-pettier) wrote :

solution #24 seemed the cleanest one to me and works perfectly, thanks, i love unity, but on this box, due to crappy drivers, i use wmii, this menu showing up in each and every new terminal was very irritating.

Jeremy Bicha (jbicha) wrote :

gnome-terminal's setting "Show menubar by default in new terminals" appears to work now with gtk+ 3.3.6-0ubuntu3 for Ubuntu 12.04 "Precise" in GNOME Shell.

I'll leave this bug open for the issue of "View>Show Menubar" not making sense when Unity's appmenu is being used.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.